library(ggplot2)
library(loadeR)
library(transformeR)
library(visualizeR)

setwd("/esarchive/scratch/molmo/esmvaltool_output/recipe_boreas_rsds_20240807_084928/preproc/extreme_events/rsds/")

files <- list.files(pattern="2100.nc")
deltachange <- list()

for(i in seq_along(files)){
 rsds <- loadGridData(dataset = files[i],var="rsds",years = 2070:2100)
 deltachange[[i]] <- climatology(rsds)
}

save(deltachange,file="/esarchive/scratch/molmo/BOREAS/deltachange_CMIP6_Euro_2070-2100.Rdata")

threshold = floor(0.8*length(deltachange))
sign <- matrix(NA,60,60)
for(i in 1:60){
  for(j in 1:60){
    signo <- NA
    for(m in 1:length(deltachange)){
    signo[m] <- sign(deltachange[[m]]$Data[1,i,j])
    }
    pos <- length(signo[which(signo==1)])
    neg <- length(signo[which(signo== -1)])
    abs <- max(abs(c(pos,neg)))
    if(abs>threshold){sign[i,j]=1}else{
    sign[i,j]=0
    }
  }
}
# png(filename = "/esarchive/scratch/molmo/temp.png")
# spatialPlot(deltachange,backdrop.theme = "countries")
# dev.off()
